#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.4.0
%global		package_name ovirt-iso-uploader

Summary:	ISO Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-iso-uploader
Version:	3.4.0
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/stable/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	rhevm-sdk-python >= 3.4.0.4
Requires:	logrotate
BuildRequires:	gettext-devel
BuildRequires:	python2-devel

%description
ISO Uploader tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-iso-uploader %{buildroot}/%{_bindir}/rhevm-iso-uploader
echo ".so man8/engine-iso-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-iso-uploader.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/isouploader.conf.d
%attr(0640, -, -) %config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/ovirt-iso-uploader
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-iso-uploader

%changelog
* Thu Feb 27 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-1
- Rebase on upstream 3.4.0-1
- Resolves oVirt: BZ#1058807

* Fri Jan 17 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4.0-0.0.ovirtbeta1
- Rebase on upstream 3.4.0-0.1.beta1
- Resolves: BZ#1032689

